# -*- coding: UTF-8 -*-

import draw_on_map

def main():
    with draw_on_map.MapInHtml("example.html", autozoom=True) as draw:
        draw.placemark([57, 35.5], text="test", color="#FF0000")
        draw.circle([57.5, 35], 3000, text="русский test circle", color="#0000FF40")
        draw.polyline([[57, 35], [57.5, 35], [57, 35.5]], color="#C080C0", opacity=0.5, width=3, hint_content="test")
        draw.rectangle([[57.5, 35], [57.6, 35.1]], width=0)
    
        s = 'Full list of icon style presets <A href="https://tech.yandex.ru/maps/doc/jsapi/2.1/ref/reference/option.presetStorage-docpage" target="blank">here</A>'
        draw.placemark([57, 35], text=s, preset="islands#greenDotIconWithCaption",
                         icon_caption="Click me", icon_caption_max_width = 100)


main()